summaryrefslogtreecommitdiff
path: root/helpers/binary_win32-loader
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/binary_win32-loader
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/binary_win32-loader')
-rwxr-xr-xhelpers/binary_win32-loader97
1 files changed, 97 insertions, 0 deletions
diff --git a/helpers/binary_win32-loader b/helpers/binary_win32-loader
new file mode 100755
index 0000000..6851218
--- /dev/null
+++ b/helpers/binary_win32-loader
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# lh_binary_win32-loader(1) - copy win32-loader into binary
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'copy win32-loader into binary')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+if [ "${LH_WIN32_LOADER}" != "true" ] || [ "${LH_BINARY_IMAGES}" = "virtual-hdd" ]
+then
+ exit 0
+fi
+
+Echo_message "Begin copying win32-loader..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_win32-loader
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+case "${LH_ARCHITECTURE}" in
+ amd64|i386)
+ if [ "${LH_CHROOT_BUILD}" = "true" ]
+ then
+ # Checking depends
+ Check_package chroot/usr/lib/win32-loader/win32-loader.exe win32-loader
+
+ # Restoring cache
+ Restore_cache cache/packages_binary
+
+ # Installing depends
+ Install_package
+
+ # Copying win32-loader
+ cp chroot/usr/lib/win32-loader/* binary
+ else
+ cp /usr/lib/win32-loader/* binary
+ fi
+
+ mv binary/win32-loader.exe binary/setup.exe
+
+ if [ "${LH_DEBIAN_INSTALLER}" != "false" ]
+ then
+
+cat > binary/win32-loader.ini << EOF
+[installer]
+arch=${LH_ARCHITECTURE}
+i386/linux=install/vmlinuz
+i386/initrd=install/initrd.gz
+i386/gtk/linux=install/vmlinuz
+i386/gtk/initrd=install/gtk/initrd.gz
+
+[grub]
+g2ldr=g2ldr
+g2ldr.mbr=g2ldr.mbr
+EOF
+
+ fi
+
+ # Saving cache
+ Save_cache cache/packages_binary
+
+ # Removing depends
+ Remove_package
+ ;;
+
+ *)
+ Echo_warning "win32-loader inclusion is set to true but not compatible with your architecture, ignoring."
+ ;;
+esac
+
+# Creating stage file
+Create_stagefile .stage/binary_win32-loader